$text-font-stack: 'Open Sans', sans-serif;
$logo-font-stack: 'Open Sans', sans-serif;

$scrollbar-size: 6px;

$grid-columns: 12;
$grid-width: 20px;

$white: #fff;
$black: #000;

$color-primary-100: #ebf7ff !default;
$color-primary-200: #b5dbf5 !default;
$color-primary-300: #83c3eb !default;
$color-primary-400: #51a9e0 !default;
$color-primary-500: #198dd6 !default;
$color-primary-600: #1479b8 !default;
$color-primary-700: #0f6499 !default;
$color-primary-800: #0a4970 !default;
$color-primary-900: #062e47 !default;

$color-neutral-10: #fcfcfc !default;
$color-neutral-50: #fafafa !default;
$color-neutral-100: #f5f5f5 !default;
$color-neutral-200: #d9dbde !default;
$color-neutral-300: #b4bac2 !default;
$color-neutral-400: #9fa4ab !default;
$color-neutral-500: #828a95 !default;
$color-neutral-600: #646b75 !default;
$color-neutral-700: #4d535c !default;
$color-neutral-800: #373c42 !default;
$color-neutral-900: #272b30 !default;

$color-success-100: #e6fff1 !default;
$color-success-200: #bdffdc !default;
$color-success-300: #9bf2c4 !default;
$color-success-400: #80e0ad !default;
$color-success-500: #59cd90 !default;
$color-success-600: #37a66b !default;
$color-success-700: #1d804b !default;
$color-success-800: #155c36 !default;
$color-success-900: #0d3821 !default;

$color-warning-100: #fff6e6 !default;
$color-warning-200: #ffe9c2 !default;
$color-warning-300: #ffe0ab !default;
$color-warning-400: #fad28e !default;
$color-warning-500: #fac05e !default;
$color-warning-600: #c4923b !default;
$color-warning-700: #9c7024 !default;
$color-warning-800: #7a5515 !default;
$color-warning-900: #573907 !default;

$color-error-100: #ffe8e6 !default;
$color-error-200: #ffbfb8 !default;
$color-error-300: #f7a499 !default;
$color-error-400: #f27d6d !default;
$color-error-500: #ee6352 !default;
$color-error-600: #bf4232 !default;
$color-error-700: #9c2e1f !default;
$color-error-800: #6e160b !default;
$color-error-900: #4d0c03 !default;

// all z-indexes
$z-index-layout-col-1: 3 !default;
$z-index-layout-col-2: 2 !default;
$z-index-layout-col-3: 1 !default;
$z-index-layout-col-3-1: 5 !default;
$z-index-layout-col-3-2: 4 !default;

// The z-index of modal and context must always be the same because they can be nested
// inside each other. The order in html decided which must be shown over the other.
$z-index-modal: 7 !default;
$z-index-context: 7 !default;

// The tooltip is only visible on hover and because of that it can be over the modals
// and contexts.
$z-index-tooltip: 8 !default;

// The toasts will be on top of anything else, because the message is temporary
// and must always be visible.
$z-index-toasts: 9 !default;

// normalize overrides
$base-font-family: $text-font-stack !default;
$font-awesome-font-family: 'Font Awesome 5 Free', sans-serif !default;
$font-awesome-font-weight: 900 !default;

// API docs variables
$api-docs-nav-width: 220px !default;
$api-docs-header-height: 52px !default;
$api-docs-header-z-index: 4 !default;
$api-docs-databases-z-index: 5 !default;
$api-docs-nav-z-index: 3 !default;
$api-docs-body-z-index: 2 !default;
$api-docs-background-z-index: 1 !default;
$api-docs-breakpoint: 1100px !default;

// file field modal variables
$file-field-modal-head-height: 62px !default;
$file-field-modal-body-nav-width: 120px !default;
$file-field-modal-foot-height: 108px !default;

$dashboard-breakpoint: 1100px;

$builder-page-max-width: 1280px;
